﻿/**Begin D:\PDM_UPGRADE\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\RSA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_RSA_RISKLEVEL', 'T_RSA_RISKLEVEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKLEVEL_SEARCH') CREATE INDEX IDX_RSA_RISKLEVEL_SEARCH ON T_RSA_RISKLEVEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RSA_RISKLEVEL_L', 'T_RSA_RISKLEVEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKLEVEL_L') CREATE INDEX IDX_RSA_RISKLEVEL_L ON T_RSA_RISKLEVEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_RSA_RISKGROUP', 'T_RSA_RISKGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKGROUP_SEARCH') CREATE INDEX IDX_RSA_RISKGROUP_SEARCH ON T_RSA_RISKGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RSA_RISKGROUP_L', 'T_RSA_RISKGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKGROUP_L') CREATE INDEX IDX_RSA_RISKGROUP_L ON T_RSA_RISKGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_RSA_RISKITEM', 'T_RSA_RISKITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKITEM_SEARCH') CREATE INDEX IDX_RSA_RISKITEM_SEARCH ON T_RSA_RISKITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RSA_RISKITEM_L', 'T_RSA_RISKITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKITEM_L') CREATE INDEX IDX_RSA_RISKITEM_L ON T_RSA_RISKITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_RSA_DEFAULTDIMENSION', 'T_RSA_DEFAULTDIMENSION', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_DEFAULTDIMENSION') CREATE INDEX IDX_RSA_DEFAULTDIMENSION ON T_RSA_DEFAULTDIMENSION ( FID );


 EXEC P_ALTERPK 'PK_T_RSA_OTHERDIMENSION', 'T_RSA_OTHERDIMENSION', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_OTHERDIMENSION') CREATE INDEX IDX_RSA_OTHERDIMENSION ON T_RSA_OTHERDIMENSION ( FID );


 EXEC P_ALTERPK 'PK_T_RSA_RISKITEMENTRY', 'T_RSA_RISKITEMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKITEMENTRY') CREATE INDEX IDX_RSA_RISKITEMENTRY ON T_RSA_RISKITEMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_RSA_RISKEVENT', 'T_RSA_RISKEVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKEVENT') CREATE INDEX IDX_RSA_RISKEVENT ON T_RSA_RISKEVENT ( FORGID ,FPERIODID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_RISKEVENT_SEARCH') CREATE INDEX IDX_RSA_RISKEVENT_SEARCH ON T_RSA_RISKEVENT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_RSA_NOTICEUSER', 'T_RSA_NOTICEUSER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_NOTICEUSER') CREATE INDEX IDX_RSA_NOTICEUSER ON T_RSA_NOTICEUSER ( FID );


 EXEC P_ALTERPK 'PK_T_RSA_EXELOG', 'T_RSA_EXELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_EXELOG_SEARCH') CREATE INDEX IDX_RSA_EXELOG_SEARCH ON T_RSA_EXELOG ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_EXELOG_TASKKEY') CREATE INDEX IDX_RSA_EXELOG_TASKKEY ON T_RSA_EXELOG ( FTASKKEY );


 EXEC P_ALTERPK 'PK_T_RSA_EXELOGENTRY', 'T_RSA_EXELOGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RSA_EXELOGENTRY') CREATE INDEX IDX_RSA_EXELOGENTRY ON T_RSA_EXELOGENTRY ( FID );

/**End D:\PDM_UPGRADE\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\RSA_constraint.sql **/
